TreeNode (gCube Templates Portlet 4.8.0-SNAPSHOT API)
Date: 2015-07-03

org.gcube.portlets.user.templates.client.model

## Class TreeNode

- java.lang.Object
- - org.gcube.portlets.user.templates.client.model.TreeNode

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable

      public class TreeNode
      extends Object
      implements com.google.gwt.user.client.rpc.IsSerializable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeNode()`
    `TreeNode(String label, String id, String path, List<TreeNode> children, int type, boolean isRoot)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<TreeNode>` | `getChildren()`
    `String` | `getId()`
    `String` | `getLabel()`
    `String` | `getPath()`
    `int` | `getType()`
    `boolean` | `isRoot()`
    `void` | `setChildren(List<TreeNode> children)`
    `void` | `setId(String id)`
    `void` | `setLabel(String label)`
    `void` | `setPath(String path)`
    `void` | `setRoot(boolean isRoot)`
    `void` | `setType(int type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeNode

          public TreeNode()

    - #### TreeNode

          public TreeNode(String label,
                  String id,
                  String path,
                  List<TreeNode> children,
                  int type,
                  boolean isRoot)

  - ### Method Detail

    - #### getChildren

          public List<TreeNode> getChildren()

    - #### getId

          public String getId()

    - #### getLabel

          public String getLabel()

    - #### getType

          public int getType()

    - #### isRoot

          public boolean isRoot()

    - #### setChildren

          public void setChildren(List<TreeNode> children)

    - #### setId

          public void setId(String id)

    - #### setLabel

          public void setLabel(String label)

    - #### setRoot

          public void setRoot(boolean isRoot)

    - #### setType

          public void setType(int type)

    - #### getPath

          public String getPath()

    - #### setPath

          public void setPath(String path)

Copyright © 2015. All Rights Reserved.